Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005836TestLinkTest Execute - Filterspublic2013-08-01 13:582013-09-08 17:53
Reporterantoni 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005836: Test Execute - include unassigned Test Case checkbox issue
DescriptionWhen user uses Assigned To filter, filtering works properly and only Test Cases that are assign to the selected user are shown, but if Test Plan has some unassigned test cases when checkbox include unassigned Test Case is checked and filter applied, unassigned test cases are not shown, only test cases assigned to selected users are shown.
Steps To ReproducePreconditions:
Open Project that has some Test Plan.
Test plan needs to have few test cases assigned to "user A" and some test cases that are not assigned to anyone.

1. Open Project and make sure mentioned Test Plan is selected
2. Go to Test Execution
3. Set Filter - Assigned To : user A
4. Click Apply
5. Select checkbox include unassigned Test Case
6. Click Apply

Expected:
4. Only Test Cases assigned to user A are shown
6. Test Cases assigned to user A AND unassigned test cases are shown
Actual:
4. Only Test Cases assigned to user A are shown (OK)
6. Still Only Test Cases assigned to user A are shown (NOK)
Additional InformationTestLink is upgraded from 1.8.5 to 1.9.7
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019348)
fman (administrator)
2013-08-01 17:49

Please try with this fix and provide feedback
http://gitorious.org/testlink-ga/testlink-code/commit/89344bf159d808b5b386aaf882a74068c75d8b83 [^]
(0019352)
fman (administrator)
2013-08-02 13:24

@user801:
can you provide some feedback?
(0019356)
antoni (reporter)
2013-08-05 10:27

Sorry for the delay, i am tester in my company, will have to get back to you with this after i speak with the admins about applying this fix to the Test Link. Tnx
(0019357)
fman (administrator)
2013-08-05 10:41

ok
(0019387)
antoni (reporter)
2013-08-08 08:42

Hi there, sorry for the delays been very busy. The admins have informed me that the php in testlink was replaced with the one provided on the link you gave me, but when i checked the issue was still present.
(0019388)
fman (administrator)
2013-08-08 09:51

Provide me a zip with your testlink installation, please.
(0019396)
fman (administrator)
2013-08-09 10:42

tested with latest code from gitorious - on postgres - OK
(0019517)
fman (administrator)
2013-09-08 17:53

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-08-01 13:58 antoni New Issue
2013-08-01 17:49 fman Note Added: 0019348
2013-08-01 17:50 fman Assigned To => fman
2013-08-01 17:50 fman Status new => feedback
2013-08-01 17:51 fman Relationship added child of 0005731
2013-08-02 13:24 fman Note Added: 0019352
2013-08-05 10:27 antoni Note Added: 0019356
2013-08-05 10:27 antoni Status feedback => assigned
2013-08-05 10:41 fman Note Added: 0019357
2013-08-05 10:41 fman Status assigned => feedback
2013-08-08 08:42 antoni Note Added: 0019387
2013-08-08 08:42 antoni Status feedback => assigned
2013-08-08 09:51 fman Note Added: 0019388
2013-08-09 10:42 fman Note Added: 0019396
2013-09-02 19:20 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-09-02 19:20 fman Status assigned => resolved
2013-09-02 19:20 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-09-02 19:20 fman Resolution open => fixed
2013-09-08 17:53 fman Note Added: 0019517
2013-09-08 17:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker